Debian Bug report logs - #467750
libdata-compare-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libdata-compare-perl; Maintainer for libdata-compare-perl is Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>; Source for libdata-compare-perl is src:libdata-compare-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:16:53 UTC

Severity: important

Tags: patch

Found in version libdata-compare-perl/0.13-1

Fixed in version libdata-compare-perl/0.13-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#467750; Package libdata-compare-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libdata-compare-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:13 +0200
Package: libdata-compare-perl
Version: 0.13-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>:
Bug#467750; Package libdata-compare-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>. Full text and rfc822 format available.

Message #10 received at 467750@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467750@bugs.debian.org
Subject: libdata-compare-perl: diff for NMU version 0.13-1.1
Date: Sat, 5 Apr 2008 22:57:59 +0100
[Message part 1 (text/plain, inline)]
tags 467750 + patch
thanks

Hi,

Attached is the diff for my libdata-compare-perl 0.13-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libdata-compare-perl-0.13-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:00:41 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467750-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467750-close@bugs.debian.org
Subject: Bug#467750: fixed in libdata-compare-perl 0.13-1.1
Date: Sat, 05 Apr 2008 22:02:52 +0000
Source: libdata-compare-perl
Source-Version: 0.13-1.1

We believe that the bug you reported is fixed in the latest version of
libdata-compare-perl, which is due to be installed in the Debian FTP archive:

libdata-compare-perl_0.13-1.1.diff.gz
  to pool/main/libd/libdata-compare-perl/libdata-compare-perl_0.13-1.1.diff.gz
libdata-compare-perl_0.13-1.1.dsc
  to pool/main/libd/libdata-compare-perl/libdata-compare-perl_0.13-1.1.dsc
libdata-compare-perl_0.13-1.1_all.deb
  to pool/main/libd/libdata-compare-perl/libdata-compare-perl_0.13-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467750@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libdata-compare-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:08:56 +0100
Source: libdata-compare-perl
Binary: libdata-compare-perl
Architecture: source all
Version: 0.13-1.1
Distribution: unstable
Urgency: low
Maintainer: Timo Schneider <timo.schneider@s2004.tu-chemnitz.de>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libdata-compare-perl - perl module to compare perl data structures recursively
Closes: 467750
Changes: 
 libdata-compare-perl (0.13-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467750
Files: 
 c0bbd68ab2edf95d78c740d360687ce0 745 perl optional libdata-compare-perl_0.13-1.1.dsc
 74fc4a613c477c359383162e0d2fa996 2226 perl optional libdata-compare-perl_0.13-1.1.diff.gz
 f3416578471843360ead67d766561ca4 19996 perl optional libdata-compare-perl_0.13-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/HrNIW6CNDsByMRAv/lAJ9sl5kvsqxSW+7HUjpy1vAlgQTblQCgu7lW
gIMJ9V1mVvLkvaOAxRW+anQ=
=rJKp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:43:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:48:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.